unit KA.Utilities.FormImageReg;         
interface
Uses
   Borland.Vcl.Classes,
   Borland.Vcl.Design.DesignIntf,
   Borland.Vcl.Design.DesignEditors;

Type
TDefaultTableNameEditor = class(TStringProperty)
    Public
      function  GetValue: string; override;
      Procedure Edit;override;
      Function  GetAttributes: TPropertyAttributes; override;
    End;


procedure Register;


implementation
Uses 
  Borland.Vcl.Forms, 
  Borland.Vcl.Dialogs,
  Borland.Vcl.TypInfo,
  Borland.Vcl.SysUtils,
  KA.Utilities.FormImage,
  KA.Utilities.FormImageEditor;

{ TDefaultTableNameEditor }
procedure TDefaultTableNameEditor.Edit;
Var
 FI : TKAFormImage;
begin
  inherited Edit;
  if (GetComponent(0) is TKAFormImage) Then
     Begin
       FI := TKAFormImage(GetComponent(0));
       if Assigned(FI.Picture.Bitmap) and (FI.Picture.Bitmap.HandleAllocated) Then
          Begin
            Application.CreateForm(TColorEditForm,ColorEditForm);
            Try
              FI.Picture := FI.Picture;
              if ColorEditForm.Execute(FI) Then
                 Begin
                  FI.ColorArray.Assign(FI.ColorArray);
                  Modified;
                 End;
            Finally
              ColorEditForm.Free;
            End;
          End;
     End;
end;

function TDefaultTableNameEditor.GetAttributes: TPropertyAttributes;
begin
 Result := Inherited GetAttributes + [paDialog];
end;

function TDefaultTableNameEditor.GetValue: string;
begin
 Result := '(Color Editor)';
end;

Procedure Register;
Begin
 RegisterPropertyEditor(TypeInfo(TList), TKAFormImage, 'ColorArray', TDefaultTableNameEditor);
End;


end.

